/// <reference types="node" />
/// <reference types="cypress" />
import { EventEmitter } from 'events';
import { Server } from 'http';
import { RollupOptions } from 'rollup';
interface Options {
    specs: Cypress.Cypress['spec'][];
    config: Record<string, string>;
    devServerEvents: EventEmitter;
    devServerPublicPathRoute: string;
    [key: string]: unknown;
}
export interface StartDevServer {
    options: Options;
    rollupConfig?: RollupOptions | string;
}
export interface ResolvedDevServerConfig {
    port: number;
    server: Server;
}
export declare function startDevServer(startDevServerArgs: StartDevServer): Promise<ResolvedDevServerConfig>;
export {};
