"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fs_1 = require("fs");
const mustache_1 = require("mustache");
const indexHtmlPath = path_1.resolve(__dirname, '../index-template.html');
const readIndexHtml = () => fs_1.readFileSync(indexHtmlPath).toString();
function handleIndex(indexHtml, projectRoot, supportFilePath) {
    const supportFile = fs_1.readFileSync(supportFilePath).toString();
    return mustache_1.render(indexHtml, {
        supportFile,
    });
}
exports.makeHtmlPlugin = (projectRoot, supportFilePath, server, publicPath) => {
    const indexHtml = readIndexHtml();
    server.use(`${publicPath}/index.html`, (req, res) => {
        const html = handleIndex(indexHtml, projectRoot, supportFilePath);
        res.end(html);
    });
};
